            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="description" class="control-label col-form-label-sm col-sm-4">Description</label>
                    <div class="col-12">   
                        <!--
                            <select  [(ngModel)]="selectedServiceOrderDescription" (ngModelChange)="onDescriptionChange($event)" class="form-control form-control-sm" id="description" name="description">
                                    <option *ngFor="let description of serviceOrderDescriptions" [ngValue]="description.value">{{description.name}}</option>
                            </select>
                        -->

                        <input
                        id="typeahead-focus"
                        type="text"
                        class="form-control form-control-sm"
                        [(ngModel)]="serviceOrder.briefDescription"
                        [ngbTypeahead]="search"
                        (focus)="focus$.next($event.target.value)"
                        (click)="click$.next($event.target.value)"
                        #instance="ngbTypeahead"/>
                    </div>
                </div>
            </div>        
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label id="typeLbl" class="control-label col-form-label-sm col-sm-4" for="type">Type</label> 
                    <div class="col-12">   
                        <select  [(ngModel)]="serviceOrder.serviceOrderType" (ngModelChange)="onTypeChange($event)" class="form-control form-control-sm" id="type" name="type">
                                <option *ngFor="let type of serviceOrderTypes" [ngValue]="type.value">{{type.name}}</option>
                        </select>
                    </div>
                </div>
                <div class="form-group col-md-6">
                    <label id="priorityLbl" class="control-label col-form-label-sm col-sm-4" for="priority">Priority</label> 
                    <div  class="col-12">
                        <select  [(ngModel)]="serviceOrder.priority" (ngModelChange)="onPriorityChange($event)" class="form-control form-control-sm" id="priority" name="priority">
                                    <option *ngFor="let priority of serviceOrderPriorities" [ngValue]="priority.value">{{priority.name}}</option>
                        </select>
                    </div>
                </div>
            </div>  
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="workrequested" class="control-label col-form-label-sm col-sm-4">Work Requested</label>
                    <div class="col-12">   
                        <input class="form-control form-control-sm" [(ngModel)]="serviceOrder.workRequested" id="workrequested" type="text" placeholder="enter work requested">    
                    </div>
                </div>
            </div>        
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="internalcomment" class="control-label col-form-label-sm col-sm-4">Internal Comment</label>
                    <div class="col-12">   
                        <input class="form-control form-control-sm" id="internalcomment" [(ngModel)]="serviceOrder.internalComment" type="text" placeholder="enter internal comment">    
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="invoiceterms" class="control-label col-form-label-sm col-sm-4">Invoice Terms</label>
                    <div class="col-12">   
                            <select  [(ngModel)]="serviceOrder.invoiceTerms" (ngModelChange)="onTermChange($event)" class="form-control form-control-sm" id="term" name="term">
                                    <option *ngFor="let term of serviceOrderTerms" [ngValue]="term.value">{{term.name}}</option>
                            </select>
                    </div>
                </div>
            </div>    
            <div class="form-row p-3">
              <div class="form-group col-md-1">
                    <div class="form-group">
                    </div>  
                </div>    
                <div class="form-group col-md-4">
                    <div class="form-group">
                        <div class="form-check">
                            <input class="form-check-input" [(ngModel)]="isCCChecked" (ngModelChange)="onCCChange($event)" name="ccOptionsCheck"  type="checkbox">
                            <label class="form-check-label" for="ccnumber">
                                File Credit card number
                            </label>
                        </div>
                    </div>  
                </div>    
                <div class="form-group col-md-3">
                    <div class="form-group">
                        <div class="form-check">
                            <input class="form-check-input" [ngModel]="isScheduleChecked" (ngModelChange)="onScheduleChange($event)" name="scheduleCheck" type="checkbox" id="schedule">
                            <label class="form-check-label" for="schedule">
                                Schedule
                            </label>
                        </div>
                    </div>  
                </div>    
                <div class="form-group col-md-3">
                    <div class="form-group">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="newinstall">
                            <label class="form-check-label" for="newinstall">
                                New Install
                            </label>
                        </div>
                    </div>  
                </div>    
            </div> 
            <div *ngIf="isCCChecked">
                    <hr />
                    <div class="form-row p-3">
                       <h4>File Credit Card Information</h4>
                    </div>    
                    <div class="form-row">
                       <div class="form-group col-md-6">
                           <label class="control-label col-form-label-sm col-sm-4" for="ccnumber">CC Number</label>
                               <div class="col-12">
                                   <input class="form-control form-control-sm" [(ngModel)]="serviceOrder.ccnumber" name="ccnumber" type="text" id="ccnumber">
                               </div>
                       </div>
                       <div class="form-group col-md-6">
                               <label class="control-label col-form-label-sm col-sm-4" for="ccnumber">CC Type</label>
                               <div  class="col-12">
                                   <select [(ngModel)]="serviceOrder.cctype" class="form-control form-control-sm" id="cctype" name="cctype">
                                           <option value="-1">Select credit card type</option> 
                                           <option value="VISA">Visa</option> 
                                           <option value="MASTER">Master Card</option> 
                                   </select>
                               </div>
                       </div> 
                   </div>
                   <div class="form-row">
                       <div class="form-group col-md-6">
                           <label class="control-label col-form-label-sm col-sm-4" for="ccexp">Expiry</label>
                           <div class="col-12">
                                 <input class="form-control form-control-sm" [(ngModel)]="serviceOrder.ccexp" type="date" id="ccexp">
                           </div>
                       </div>
                       <div class="form-group col-md-6">
                           <label class="control-label col-form-label-sm col-sm-4" for="vcc">VCC</label>
                           <div class="col-12">
                               <input class="form-control form-control-sm" [(ngModel)]="serviceOrder.vcc" type="text" id="vcc">
                           </div>
                       </div>
                   </div>                
            </div>
            <div *ngIf="isScheduleChecked">
                <hr />
                <div class="form-row p-3">
                   <h4>Requested Time</h4>
                </div>    
                <div class="form-row">
                   <div class="form-group col-md-6">
                       <label class="control-label col-form-label-sm col-sm-4" for="date">Date</label>
                           <div class="col-12">
                               <input class="form-control form-control-sm"  [(ngModel)]="serviceOrder.dateRequested" name="date" type="date" id="date">
                           </div>
                   </div> 
                   <div class="form-group col-md-6">
                       <label class="control-label col-form-label-sm col-sm-4" for="time">Time</label>
                           <div class="col-12">
                               <input class="form-control form-control-sm"  [(ngModel)]="serviceOrder.timeRequested" name="time" type="time" id="time">
                           </div>
                   </div> 
                </div>
            </div>
